TechDraw New Pick

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw New Pick and the translation is 10% complete.

Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Previous: TechDraw New Default.svg New Default
Next: New View Techdraw-view.png Arrow-right.svg

TechDraw New Pick.svg TechDraw New Pick

Menu location
TechDraw → New Pick
Workbenches
TechDraw
Default shortcut
x x
Introduced in version
-
See also
TechDraw New Default

Descriere

Instrumentul New Pick creează o pagină nouă folosind fișierul Șablonul selectat din dialog. Directorul de pornire al dialogului poate fi specificat în Preferințe

The New Pick tool creates a new Page object using the template file selected from a dialog.

The starting directory for the dialog can be specified in the TechDraw Preferences.

A4 Landscape ISO7200 Pep.svg

One of the templates that comes with TechDraw: A4 ISO 7200_Pep, page in landscape orientation, with editable text fields


Cum se folosește

  1. Apăsați butonul TechDraw New Pick.png New Pick
  1. Press the TechDraw New Pick.svg New Pick button

Proprietăți

  • DataProjection Type: Tipul standard de proiecție (viziunea Americană-al treilea cuadrant sau Europeană -primul cuadrant) pentru această pagină.
  • DataScale: Valoarea implicită pentru această pagină.
  • DataProjection Type: Default projection type (First or Third Angle) for this Page.
  • DataScale: Default scale for Views in this Page.

Script

Instrumentul New Pick poate fi folosită în macros şi de la consola python cu ajutorul funcţiei următoare:

See also: TechDraw API and FreeCAD Scripting Basics.

The New Pick tool can be used in macros and from the Python console by using the following functions:

templateFileSpec = QtGui.QFileDialog.getOpenFileName(self.baseWidget,
                                                     dialogCaption, 
                                                     dialogDir,
                                                     dialogFilter)
page = FreeCAD.ActiveDocument.addObject('TechDraw::DrawPage','Page')
template = FreeCAD.ActiveDocument.addObject('TechDraw::DrawSVGTemplate','Template')
template.Template = templateFileSpec
page.Template = FreeCAD.ActiveDocument.Template
  • Creează o nouă Page în documentul curent.

Editable text fields

See also: TechDraw Templates for more information on creating templates.

See the information in TechDraw New Default to programmatically change the editable text fields in a page template.

Arrow-left.svg Previous: TechDraw New Default.svg New Default
Next: New View Techdraw-view.png Arrow-right.svg